% Ucitavanje podataka
load 'dataset.txt';

% Prikazivanje tackastih podataka
gscatter(dataset(:,1),dataset(:,2),dataset(:,3),'brg','ooo', 5, 'on');
hold on;

% Generisemo ulazni test primer koji klasifikujemo
x=unifrnd(min(dataset(:,1)),max(dataset(:,1)));
y=unifrnd(min(dataset(:,2)),max(dataset(:,2)));

% Ucrtavamo ulazni test primer koji klasifikujemo algoritmom
gscatter(x, y, 4, 'k', '+', 10, 'off');

% Vrsimo klasifikaciju
y_pred = knn(dataset, 5, [x, y]);
disp(y_pred);

pause
hold off;
close all;
